<?php
if (file_exists("embedded/functions/site_functions.php"))
	{
	include_once("embedded/functions/site_functions.php");
	}
else
	{
include_once("../../embedded/functions/site_functions.php");
	}
db_open();	
$device_id=$_SESSION['device_id'];
$language=$_SESSION['language'];
$language=$_SESSION['language'];
if ($language==1)
	{
	$title1="Τελευταία ενημέρωση μετρήσεων";
	$title2="θερμοκρασία";
	$title3="υγρασία";
	$title4="έδαφος";
	$title5="φωτισμός";
	$head1="Θερμοκρασία:";
	$head2="Υγρασία:";
	$head3="Έδαφος:";
	$head4="Φωτισμός:";
	$head5="Αέρας:";
	$head6="Φώς:";
	$head7="Νερό:";
	$head8="Αλλαγή στις συσκευές με τις on/off ενδείξεις!";
	$e1="απενεργοποιήστε τον αέρα";
	$e2="ενεργοποιήστε τον αέρα";
	$e3="απενεργοποιήστε το φως";
	$e4="ενεργοποιήστε το φως";
	$e5="απενεργοποιήστε το νερό";
	$e6="ενεργοποιήστε το νερό";
	$headdd="Τελευταία ενημέρωση:";
	}
else	
	{
	$title1="Last Measurements";
	$title2="temperature";
	$title3="humidity";
	$title4="soil moisture";
	$title5="indoor light";
	$head1="Temperature";
	$head2="Humidity:";
	$head3="Soil Moisture:";
	$head4="Indoor Light:";
	$head5="Fan:";
	$head6="Light:";
	$head7="Water";
	$head8="Make changes by on/off buttons!";
	$e1="disable fan";
	$e2="enable fan";
	$e3="disable light";
	$e4="enable light";
	$e5="disable water";
	$e6="enable water";
	$headdd="Latest update:";
	}

$a=last_data($device_id);

//inputs
$T= $a[0];
$H= $a[1];
$M= $a[2];
$IL= $a[3];
$time = $a[7];

//function for the control panel
if((isset($_GET["f"]) && !empty($_GET["f"])) || (isset($_GET["l"]) && !empty($_GET["l"])) || (isset($_GET["w"]) && !empty($_GET["w"])))
{
$scenario="manual";
	if (!empty($_GET["f"]))
		{
			if ($_GET["f"]=="1" || $_GET["f"]=="2")
			{
			$f=$_GET["f"];
			if ($f=="2")
				{
				$f="0";
				}
			update_device($device="fan",$status=$f,$scenario,$table="new_scenarios",$device_id);
			}
		}
		else if (!empty($_GET["l"]))
		{	
			if ($_GET["l"]=="1" || $_GET["l"]=="4")
				{
				$l=$_GET["l"];
				if ($l=="4")
				{
				$l="0";
				}
				update_device($device="lighting",$status=$l,$scenario,$table="new_scenarios",$device_id);
				}
		}
		else if (!empty($_GET["w"]))
		{
			if ($_GET["w"]=="1" || $_GET["w"]=="6")
				{
				$v=$_GET["w"];
				if ($v=="6")
				{
				$v="0";
				}
				update_device($device="watering",$status=$v,$scenario,$table="new_scenarios",$device_id);
				}
		}
}
else
{
enable_custom($device_id);
}
$a=scenario_data($name="manual",$device_id,$table="new_scenarios");
$F=$a[22];
$L=$a[23];
$V=$a[24];
if ($F == '1') 
{
$classf1= "class='button_on'";
$buttonf= "<input type='button' class='on_buttona' name='off' title='$e1' onclick='enablef(1,2);' />";
}
else
{
$classf1= "class='button_off'";
$buttonf= "<input type='button' class='off_buttona' name='on' title='$e2' onclick='enablef(1,1);' />";
}

if ($L == '1') 
{
$classl1= "class='button_on'";
$buttonl= "<input type='button' class='on_buttona' name='off' title='$e3' onclick='enablef(2,4);' />";
}
else
{
$classl1= "class='button_off'";
$buttonl= "<input type='button' class='off_buttona' name='on' title='$e4' onclick='enablef(2,1);' />";
}

if ($V == '1') 
{
$classw1= "class='button_on'";
$buttonw= "<input type='button' class='on_buttona' name='off' title='$e5' onclick='enablef(3,6);' />";
}
else
{
$classw1= "class='button_off'";
$buttonw= "<input type='button' class='off_buttona' name='on' title='$e6' onclick='enablef(3,1);' />";
}

echo<<<CP
<div id="d0" class="time" title="$title1"><span class="timehead">$headdd</span> $time </div>
<div id ="d1" class="sensor" title="$title2">$head1<br/><a class="sensor_result">$T C</a></div>
<div id ="d2" class="sensor"  title="$title3">$head2<br /><a class="sensor_result">$H%</a></div>
<div id ="d3" class="sensor" title="$title4">$head3<br /><a class="sensor_result">$M</a></div>
<div id ="d4" class="sensor" title="$title5">$head4<br /><a class="sensor_result">$IL</a></div>
<table id="table_index" class="control_panel" onmouseover="popup(1);" onmouseout="popup(2);">
<tr>
<td><img src='css/images/button.png' alt='button' $classf1 /> $buttonf</td>
<td><img src='css/images/button.png' alt='button' $classl1 />$buttonl</td>
<td><img src='css/images/button.png' alt='button' $classw1 />$buttonw</td>
</tr>
<tr><th>$head5</th><th>$head6</th><th>$head7</th></tr> 
</table>
<div id="s_msg" >$head8</div>
CP;
db_close();

?>
